/*
 * YDFWTACfgDlg.java
 *
 * Created on 22. Mai 2000, 18:34
 */
 
package YARB.Dialogs;
import java.awt.Dimension;
import java.awt.Point;
/** 
 *
 * @author  Thomas
 * @version 
 */
public class YFilterNameChooser extends javax.swing.JDialog {

  
  private String m_strName;
  private boolean m_bProcessInputPattern;
  private boolean m_bProcessOutputPattern;
  
  
  /** Creates new form YDFWTACfgDlg */
  public YFilterNameChooser(java.awt.Frame parent,String strTitle,boolean modal,String strName) 
  {
    super (parent, strTitle, modal);
    initComponents ();

    setName(strName);
    pack();
   
   // Center on the parent frame on the screen    
    if(parent != null)
    {
       Dimension screenSize =parent.getSize();
       Dimension size = getSize();
       Point parentPos = parent.getLocation();
       screenSize.height = screenSize.height/2;
       screenSize.width = screenSize.width/2;
       size.height = size.height/2;
       size.width = size.width/2;
       int y = screenSize.height - size.height + parentPos.y;
       int x = screenSize.width - size.width + parentPos.x;
       setLocation(x, y);        
    };    
    
 }

 /**
 * Returns the name string (evtl. modified)
 */
 public String getName(){
  return m_strName;
}

 /**
 * Sets the original name
 */
 public void setName(String strName){
  m_strName=strName;
  if(textName!=null){
    textName.setText(m_strName);
  };
}

  
 /**
 * Set the state of the Process Input Pattern checkbox
 */
  public void setProcessInputPattern(boolean b) {
    checkInput.setSelected(b);
    m_bProcessInputPattern=b;
  }

 /**
 * Set the state of the Process Output Pattern checkbox
 */
  public void setProcessOutputPattern(boolean b){
    checkOutput.setSelected(b);
    m_bProcessOutputPattern=b;
  }
  
  
  /**
  * Returns the current state of the Process Input Pattern checkbox
  */
  public boolean getProcessInputPattern(){
    return m_bProcessInputPattern;
  }

  /**
  * Returns the current state of the Process Output Pattern checkbox
  */
  public boolean getProcessOutputPattern(){
    return m_bProcessOutputPattern;
  }
  
  /** This method is called from within the constructor to
   * initialize the form.
   * WARNING: Do NOT modify this code. The content of this method is
   * always regenerated by the FormEditor.
   */
  private void initComponents () {//GEN-BEGIN:initComponents
    jLabel1 = new javax.swing.JLabel ();
    textName = new javax.swing.JTextField ();
    buttonOK = new javax.swing.JButton ();
    buttonCancel = new javax.swing.JButton ();
    jLabel2 = new javax.swing.JLabel ();
    checkInput = new javax.swing.JCheckBox ();
    checkOutput = new javax.swing.JCheckBox ();
    getContentPane ().setLayout (new java.awt.GridBagLayout ());
    java.awt.GridBagConstraints gridBagConstraints2;
    addWindowListener (new java.awt.event.WindowAdapter () {
      public void windowClosing (java.awt.event.WindowEvent evt) {
        closeDialog (evt);
      }
    }
    );

    jLabel1.setText ("Name:");


    gridBagConstraints2 = new java.awt.GridBagConstraints ();
    gridBagConstraints2.gridx = 0;
    gridBagConstraints2.gridy = 3;
    gridBagConstraints2.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints2.insets = new java.awt.Insets (16, 10, 0, 0);
    getContentPane ().add (jLabel1, gridBagConstraints2);



    gridBagConstraints2 = new java.awt.GridBagConstraints ();
    gridBagConstraints2.gridx = 0;
    gridBagConstraints2.gridy = 4;
    gridBagConstraints2.gridwidth = 6;
    gridBagConstraints2.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints2.ipadx = 186;
    gridBagConstraints2.insets = new java.awt.Insets (4, 20, 0, 0);
    getContentPane ().add (textName, gridBagConstraints2);

    buttonOK.setSelected (true);
    buttonOK.setText ("OK");
    buttonOK.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        buttonOKActionPerformed (evt);
      }
    }
    );


    gridBagConstraints2 = new java.awt.GridBagConstraints ();
    gridBagConstraints2.gridx = 0;
    gridBagConstraints2.gridy = 5;
    gridBagConstraints2.gridwidth = 2;
    gridBagConstraints2.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints2.ipadx = 31;
    gridBagConstraints2.ipady = 3;
    gridBagConstraints2.insets = new java.awt.Insets (20, 20, 0, 0);
    getContentPane ().add (buttonOK, gridBagConstraints2);

    buttonCancel.setText ("Cancel");
    buttonCancel.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        buttonCancelActionPerformed (evt);
      }
    }
    );


    gridBagConstraints2 = new java.awt.GridBagConstraints ();
    gridBagConstraints2.gridx = 4;
    gridBagConstraints2.gridy = 5;
    gridBagConstraints2.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints2.ipadx = 13;
    gridBagConstraints2.ipady = 3;
    gridBagConstraints2.insets = new java.awt.Insets (20, 15, 0, 0);
    getContentPane ().add (buttonCancel, gridBagConstraints2);

    jLabel2.setText ("Pattern to process:");


    gridBagConstraints2 = new java.awt.GridBagConstraints ();
    gridBagConstraints2.gridx = 0;
    gridBagConstraints2.gridy = 0;
    gridBagConstraints2.gridwidth = 3;
    gridBagConstraints2.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints2.insets = new java.awt.Insets (10, 10, 0, 0);
    getContentPane ().add (jLabel2, gridBagConstraints2);

    checkInput.setText ("Input pattern");


    gridBagConstraints2 = new java.awt.GridBagConstraints ();
    gridBagConstraints2.gridx = 0;
    gridBagConstraints2.gridy = 1;
    gridBagConstraints2.gridwidth = 4;
    gridBagConstraints2.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints2.insets = new java.awt.Insets (4, 20, 0, 0);
    getContentPane ().add (checkInput, gridBagConstraints2);

    checkOutput.setText ("Output pattern");


    gridBagConstraints2 = new java.awt.GridBagConstraints ();
    gridBagConstraints2.gridx = 4;
    gridBagConstraints2.gridy = 1;
    gridBagConstraints2.gridwidth = 3;
    gridBagConstraints2.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints2.insets = new java.awt.Insets (4, 15, 0, 0);
    getContentPane ().add (checkOutput, gridBagConstraints2);

  }//GEN-END:initComponents

  private void buttonOKActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonOKActionPerformed
// Add your handling code here:
    m_strName=textName.getText();
    m_bProcessOutputPattern=checkOutput.isSelected();
    m_bProcessInputPattern=checkInput.isSelected();
    setVisible (false);
    dispose ();
  }//GEN-LAST:event_buttonOKActionPerformed

  private void buttonCancelActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCancelActionPerformed
// Add your handling code here:
    setVisible (false);
    dispose ();
  }//GEN-LAST:event_buttonCancelActionPerformed

  /** Closes the dialog */
  private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
    setVisible (false);
    dispose ();
  }//GEN-LAST:event_closeDialog


  


// Variables declaration - do not modify//GEN-BEGIN:variables
private javax.swing.JLabel jLabel1;
private javax.swing.JTextField textName;
private javax.swing.JButton buttonOK;
private javax.swing.JButton buttonCancel;
private javax.swing.JLabel jLabel2;
private javax.swing.JCheckBox checkInput;
private javax.swing.JCheckBox checkOutput;
// End of variables declaration//GEN-END:variables

}