/*
 * IFileSource.java
 *
 * Created on 17. April 2000, 22:05
 */
 
package YARB.Interfaces;
/** 
 * This is the interface declaration of a file source.
 * A files source is responsible for reading data form a given file, therefore it has to
 * parse the file and to provide data, as specified in the IDataProvider interface.
 * @author  Thomas
 * @version 
 */
public interface IFileSource extends IDataProvider 
{
  
  /**
  * Sets the file name for parsing.
  */
  void setFileName(String strName);
}
